@charset "UTF-8";

html {
	scroll-padding-top:100px;
	scroll-behavior: smooth;
}

* {
	box-sizing: border-box; 
	padding: 0;		
	margin: 0;
}

body {
	font-family: 'Roboto', sans-serif;
}

header {
	min-height: 100px;
	background-color: black;
	position: sticky;
	top: 0;
	left: 0;
}
 
section {
	min-height: 90vh;
	min-width: 90%;
	margin: auto;
}

h1 {
	font-size: 4.5em;
	text-transform: capitalize;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	letter-spacing: 2px;
	color: #FFFAF7;
}

h2 {
	font-size: 3em;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	letter-spacing: 2px;
	color: #FFFAF7;
}

h3 {
	font-size: 1.45em;
	padding-top: 1%;
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
	letter-spacing: 2px;
	color: #FFFAF7;
}

p {
	font-size: 1em;
	font-family: 'Montserrat', sans-serif;
	font-weight: 300;
	letter-spacing: 2px;
	padding-top: 4%;
	color: #FFFAF7;
}

a:link {
	color:#FFFAF7;
	text-decoration: none;
}

a:hover {
	color:#783BFA;
	border-bottom: 2px solid #783BFA;
	padding-bottom: 1%;
	transition: 0.3s ease;
}


.navi {
	display: flex;
	list-style: none;
	justify-content: center;
	align-content: center;
	align-items: center;
	padding-top: 3%;
	gap: 10%;
}

.navi a:link {
	color:#FFFAF7;
	text-decoration: none;
	font-size: 1.25em;
}

.navi a:hover {
	color:#783BFA;
	border-bottom: 2px solid #783BFA;
	padding-bottom: 2%;
	transition: 0.3s ease;
}

.container {
	width: 100%;
	position: relative;
}

.row {
	display: flex;
	min-width: 100%;
	margin: auto;
	gap:3%;
}

.column-left{
	width:45%;
	font-size: 1.3em;
	padding: 10% 3% 10% 8%;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	letter-spacing: 2px;
	color: #FFFAF7;	
}

.column-right{
	width:auto;
	font-size: 1em;
	text-align: left;
	padding: 9% 5%;
	font-family: 'Montserrat', sans-serif;
	font-weight: 300;
	letter-spacing: 2px;
	color: #FFFAF7;
}

.wrapper {
  display: flex;
  max-width: 650px;
  width: 100%;
  height: 400px;
  background:#000003;
  align-items: center;
  justify-content: center;
  position: relative;
  border-radius: 12px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

.wrapper i.button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 36px;
  width: 36px;
  background-color: #783BFA;
  border-radius: 50%;
  text-align: center;
  line-height: 36px;
  color: #783BFA;
  font-size: 15px;
  transition: all 0.3s linear;
  z-index: 100;
  cursor: pointer;
}

i.button:active {transform: scale(0.94) translateY(-50%);}

i#prev {left: 25px;}

i#next {right: 25px;}

.image-container {
  height: 320px;
  max-width: 500px;
  width: 100%;
  overflow: hidden;
}

.image-container .carousel {
  display: flex;
  height: 100%;
  width: 100%;
  transition: all 0.4s ease;
}

.carousel img {
  height: 100%;
  width: 100%;
  border-radius: 18px;
  border: 10px solid #000003;
  object-fit: cover;
}


.spotify-widget{
	width: 80%;
	padding: 8% 10% 12% 10%;
	align-items: center;
}


.contact-header{
	font-size: 3.7em;
	text-align: left;
	padding-top: 26%; 
	padding-left: 7%;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	letter-spacing: 2px;
	color: #FFFAF7;
}

.column-contact{
	width:60%;
	padding-top: 3%;
	padding-left: 7%;
	padding-right: 7%;
}

.column-form {
  	border-radius: 10px;	
	padding-top: 12%;
	padding-left: 7%;
	padding-right: 7%;
	font-size: 1.2em;
	justify-content: right;
}

.image-social{
	padding: 1px;
	margin-left: 7%;
	margin-top: 10%;
}

label{color: white;}

input[type=text], select, textarea {
  width: 100%; 
  padding: 12px; 
  border: 1px solid #ccc; 
  border-radius: 4px; 
  box-sizing: border-box; 
  margin-top: 6px; 
  margin-bottom: 16px; 
  resize: vertical 
}

input[type=submit] {
  background-color: #000003;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {background-color: #45a049;}


#home {
	background-image:url("images/titlecover.jpg"); 
	background-clip: border-box;
	background-repeat: no-repeat; 
	background-size:cover; 
	background-color: black;
	border: 30px solid #783BFA;
	text-align: center; 
	padding: 15%;
}

#about {
	background-color: #000001;	
}

#quote{
	background-color: #783BFA;
	font-size: 1.3em;
	text-align: center;
	padding: 15% 20%;
	font-family: 'Montserrat', sans-serif;
	font-weight: 500;
	letter-spacing: 2px;
	color: #FFFAF7;
}

#gallery {
	background-color: #000001;
	text-align: center;
	padding-top: 8%;
}

#biography{
	background-color: #000001;
	text-align: center;
	padding: 10% 7%;
}

#spotify {
	background-color: #000001;
}

#contact {
	background-color: #783BFA;
}

footer {
	padding: 2.5%;
	background-color: #000001;
}

@media only screen and (max-width:996px) {
	
	html {
	scroll-behavior: smooth;
	scroll-padding-top:100px;
	}
	
	section{display: block; text-align: center; justify-content: center;}
	
	.row {display: block;}

	.navi li{padding-bottom: 2.5%; padding-top: 1%;}
	
	.navi {min-width: 100%; gap: 5%;}
	
	.column{
		display: block; 
		min-width: 100%; 
		padding: 10%; 
		text-align: center;
	}
	
	h1, h2, h3 {padding-top: 2%; padding-bottom: 3%;}
	
	h1 {font-size: 2.8em}
	
	* {box-sizing: border-box; padding: 0;margin: 0;}
}


